Subject: Re: [PATCH v3] arm64: dts: marvell: Add device tree for uDPU board

From: Gregory CLEMENT <[email-masked]>
Date: Tue, 15 Jan 2019 17:37:36 +0100

Hi Andrew,
 
 On mar., janv. 15 2019, Andrew Lunn <[email-masked]> wrote:

> Hi Vladimir
>
> Ah, i did not notice early. You need to Cc: the Marvell mvebu
> maintainers. They are the ones who will accept this patch.
>
>
>> +	leds {
>> +		pinctrl-names = "default";
>> +		compatible = "gpio-leds";
>> +
>> +		power@487 {
>> +			label = "power:green:led1";
>> +			gpios = <&gpionb 11 GPIO_ACTIVE_LOW>;
>> +			default-state = "off";
>> +		};
>
> I'm a bit out of date with dtc warnings. I think the @487 will
> generate a warning because there is no reg property?
>
> Gregory, do you know?

I confirm that if there is no reg then there should not have a @XXX.

Gregory

>
> Thanks
> 	Andrew
>
> _______________________________________________
> linux-arm-kernel mailing list
> [email-masked]
> http://lists.infradead.org/mailman/listinfo/linux-arm-kernel

-- 
Gregory Clement, Bootlin
Embedded Linux and Kernel engineering
http://bootlin.com

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel